Update a transaction rule
curl --request PATCH \
--url https://api.finta.io/v2/rules/{ruleId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"conditions": [
{}
],
"outcomes": [
{}
],
"priority": 50
}
'import requests
url = "https://api.finta.io/v2/rules/{ruleId}"
payload = {
"conditions": [{}],
"outcomes": [{}],
"priority": 50
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({conditions: [{}], outcomes: [{}], priority: 50})
};
fetch('https://api.finta.io/v2/rules/{ruleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conditions": [
{}
],
"outcomes": [
{}
],
"priority": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "STORAGE_MODE_REQUIRED",
"message": "<string>"
}
}{
"error": "Missing or invalid Authorization header"
}{
"error": {
"code": "STORAGE_MODE_REQUIRED",
"message": "<string>"
}
}{
"error": {
"code": "STORAGE_MODE_REQUIRED",
"message": "<string>"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Per-minute rate limit exceeded (10 requests/min on Standard plan)."
}
}Rules
Update a transaction rule
Update a transaction rule’s conditions, outcomes, or priority. At least one field must be provided.
PATCH
/
rules
/
{ruleId}
Update a transaction rule
Authorizations
Finta API key from the dashboard (Bearer token).
Path Parameters
Transaction rule UUID
Body
application/json
Conditions match transactions on Account, Summary, OriginalDescription, MerchantName, Amount, or transactionDay. Each condition is an object describing a field and how to match it.
Minimum array length:
1Outcomes applied to matching transactions. Set Category ({ action: 'updateTransaction', field: 'Category', value: { id, value } }) or MerchantName, or hide the transaction ({ action: 'hideTransaction', value: true }).
Minimum array length:
1Required range:
1 <= x <= 100⌘I